AC_DEFUN(GST_C_OLDCC, [

AC_CACHE_CHECK(for old ANSI CC (no void *), gst_cv_c_oldcc,
[AC_TRY_COMPILE(, [void *x; ],
    gst_cv_c_oldcc=no, gst_cv_c_oldcc=yes)
])
test $gst_cv_c_oldcc = yes && \
AC_DEFINE(OLDCC, 1, [Define if the C compiler doesn't support void * and enums.])

])dnl
